<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_getBlip" title="getBlip ::Get the BLIP.">
            <span class="description">Get the BLIP.</span><pre>getBlip</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getBlipType" title="getBlipType ::Get the BLIP type.">
            <span class="description">Get the BLIP type.</span><pre>getBlipType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setBlip" title="setBlip ::Set the BLIP.">
            <span class="description">Set the BLIP.</span><pre>setBlip</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setBlipType" title="setBlipType ::Set the BLIP type.">
            <span class="description">Set the BLIP type.</span><pre>setBlipType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setParent" title="setParent ::Set parent BLIP Store Entry Container.">
            <span class="description">Set parent BLIP Store Entry Container.</span><pre>setParent</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_BLIPTYPE_CMYKJPEG" title="BLIPTYPE_CMYKJPEG ::">
                        <span class="description"></span><pre>BLIPTYPE_CMYKJPEG</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BLIPTYPE_DIB" title="BLIPTYPE_DIB ::">
                        <span class="description"></span><pre>BLIPTYPE_DIB</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BLIPTYPE_EMF" title="BLIPTYPE_EMF ::">
                        <span class="description"></span><pre>BLIPTYPE_EMF</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BLIPTYPE_ERROR" title="BLIPTYPE_ERROR ::">
                        <span class="description"></span><pre>BLIPTYPE_ERROR</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BLIPTYPE_JPEG" title="BLIPTYPE_JPEG ::">
                        <span class="description"></span><pre>BLIPTYPE_JPEG</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BLIPTYPE_PICT" title="BLIPTYPE_PICT ::">
                        <span class="description"></span><pre>BLIPTYPE_PICT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BLIPTYPE_PNG" title="BLIPTYPE_PNG ::">
                        <span class="description"></span><pre>BLIPTYPE_PNG</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BLIPTYPE_TIFF" title="BLIPTYPE_TIFF ::">
                        <span class="description"></span><pre>BLIPTYPE_TIFF</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BLIPTYPE_UNKNOWN" title="BLIPTYPE_UNKNOWN ::">
                        <span class="description"></span><pre>BLIPTYPE_UNKNOWN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_BLIPTYPE_WMF" title="BLIPTYPE_WMF ::">
                        <span class="description"></span><pre>BLIPTYPE_WMF</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>BSE</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_getBlip"></a>
                        <div class="element clickable methodpublic method_getBlip" data-toggle="collapse" data-target=".method_getBlip .collapse">
                            <h2>Get the BLIP.</h2>
                            <pre>getBlip(): \PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE\Blip</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.BSE.Blip.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE\Blip</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getBlipType"></a>
                        <div class="element clickable methodpublic method_getBlipType" data-toggle="collapse" data-target=".method_getBlipType .collapse">
                            <h2>Get the BLIP type.</h2>
                            <pre>getBlipType(): integer</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>integer</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setBlip"></a>
                        <div class="element clickable methodpublic method_setBlip" data-toggle="collapse" data-target=".method_setBlip .collapse">
                            <h2>Set the BLIP.</h2>
                            <pre>setBlip(\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE\Blip $blip)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$blip</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.BSE.Blip.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE\Blip</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setBlipType"></a>
                        <div class="element clickable methodpublic method_setBlipType" data-toggle="collapse" data-target=".method_setBlipType .collapse">
                            <h2>Set the BLIP type.</h2>
                            <pre>setBlipType(integer $blipType)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$blipType</h4>
                                                <code>integer</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setParent"></a>
                        <div class="element clickable methodpublic method_setParent" data-toggle="collapse" data-target=".method_setParent .collapse">
                            <h2>Set parent BLIP Store Entry Container.</h2>
                            <pre>setParent(\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer $parent)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$parent</h4>
                                                <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer</a></code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_BLIPTYPE_ERROR"> </a>
                            <div class="element clickable constant constant_BLIPTYPE_ERROR" data-toggle="collapse" data-target=".constant_BLIPTYPE_ERROR .collapse">
                                <h2>BLIPTYPE_ERROR</h2>
                                <pre>BLIPTYPE_ERROR</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BLIPTYPE_UNKNOWN"> </a>
                            <div class="element clickable constant constant_BLIPTYPE_UNKNOWN" data-toggle="collapse" data-target=".constant_BLIPTYPE_UNKNOWN .collapse">
                                <h2>BLIPTYPE_UNKNOWN</h2>
                                <pre>BLIPTYPE_UNKNOWN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BLIPTYPE_EMF"> </a>
                            <div class="element clickable constant constant_BLIPTYPE_EMF" data-toggle="collapse" data-target=".constant_BLIPTYPE_EMF .collapse">
                                <h2>BLIPTYPE_EMF</h2>
                                <pre>BLIPTYPE_EMF</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BLIPTYPE_WMF"> </a>
                            <div class="element clickable constant constant_BLIPTYPE_WMF" data-toggle="collapse" data-target=".constant_BLIPTYPE_WMF .collapse">
                                <h2>BLIPTYPE_WMF</h2>
                                <pre>BLIPTYPE_WMF</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BLIPTYPE_PICT"> </a>
                            <div class="element clickable constant constant_BLIPTYPE_PICT" data-toggle="collapse" data-target=".constant_BLIPTYPE_PICT .collapse">
                                <h2>BLIPTYPE_PICT</h2>
                                <pre>BLIPTYPE_PICT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BLIPTYPE_JPEG"> </a>
                            <div class="element clickable constant constant_BLIPTYPE_JPEG" data-toggle="collapse" data-target=".constant_BLIPTYPE_JPEG .collapse">
                                <h2>BLIPTYPE_JPEG</h2>
                                <pre>BLIPTYPE_JPEG</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BLIPTYPE_PNG"> </a>
                            <div class="element clickable constant constant_BLIPTYPE_PNG" data-toggle="collapse" data-target=".constant_BLIPTYPE_PNG .collapse">
                                <h2>BLIPTYPE_PNG</h2>
                                <pre>BLIPTYPE_PNG</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BLIPTYPE_DIB"> </a>
                            <div class="element clickable constant constant_BLIPTYPE_DIB" data-toggle="collapse" data-target=".constant_BLIPTYPE_DIB .collapse">
                                <h2>BLIPTYPE_DIB</h2>
                                <pre>BLIPTYPE_DIB</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BLIPTYPE_TIFF"> </a>
                            <div class="element clickable constant constant_BLIPTYPE_TIFF" data-toggle="collapse" data-target=".constant_BLIPTYPE_TIFF .collapse">
                                <h2>BLIPTYPE_TIFF</h2>
                                <pre>BLIPTYPE_TIFF</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_BLIPTYPE_CMYKJPEG"> </a>
                            <div class="element clickable constant constant_BLIPTYPE_CMYKJPEG" data-toggle="collapse" data-target=".constant_BLIPTYPE_CMYKJPEG .collapse">
                                <h2>BLIPTYPE_CMYKJPEG</h2>
                                <pre>BLIPTYPE_CMYKJPEG</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_parent"> </a>
                            <div class="element clickable propertyprivate property_parent" data-toggle="collapse" data-target=".property_parent .collapse">
                                <h2>The parent BLIP Store Entry Container.</h2>
                                <pre>parent :\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_blip"> </a>
                            <div class="element clickable propertyprivate property_blip" data-toggle="collapse" data-target=".property_blip .collapse">
                                <h2>The BLIP (Big Large Image or Picture).</h2>
                                <pre>blip :\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE\Blip</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.BSE.Blip.html">\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE\Blip</a></code>                                    </div>
                                </div>
                            </div>                            <a id="property_blipType"> </a>
                            <div class="element clickable propertyprivate property_blipType" data-toggle="collapse" data-target=".property_blipType .collapse">
                                <h2>The BLIP type.</h2>
                                <pre>blipType :integer</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>integer</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Shared\Escher\DggContainer\BstoreContainer\BSE"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.html">BstoreContainer</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Shared.Escher.DggContainer.BstoreContainer.BSE.html">BSE</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:49 +0000.<br/>
    </footer></body>
</html>
